#Hapi Heartbeat2
[![Build Status](https://travis-ci.org/codemouse/hapi-heartbeat2.png?branch=master)](https://travis-ci.org/opentable/hapi-heartbeat) [![NPM version](https://badge.fury.io/js/hapi-heartbeat2.png)](http://badge.fury.io/js/hapi-heartbeat2) ![Dependencies](https://david-dm.org/codemouse/hapi-heartbeat2.png)

Shared code for the `heartbeat` endpoint. 


Installation:

```npm install hapi-heartbeat2```

Usage:

```
var server = hapi.createServer();

server.pack.require("hapi-heartbeat2",
  {
    liveness: '/my/api/123',
    route: '/heartbeat' (optional: default to /heartbeat)
    headers: {
    // optional headers to apply when making the liveness check
      'accept-language': 'en-US'
    },
  },
  function (err){
    if(err){
      throw err;
    }
  }
);
```

Response Codes:
- 200
- 403
- 503

Notes:

- Supports pack servers as well as single instances
- Supports hapi v5+
